StandardNames
Keywords: com.icl.saxon.style.StandardNames class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.style
Class StandardNames

    java.lang.Object
      com.icl.saxon.style.StandardNames

public class StandardNames
extends java.lang.Object

Field Summary
`int` | `ARCHIVE`
`int` | `CASE_ORDER`
`int` | `CDATA_SECTION_ELEMENTS`
`int` | `COUNT`
`int` | `DATA_TYPE`
`int` | `DECIMAL_SEPARATOR`
`int` | `DIGIT`
`int` | `DISABLE_OUTPUT_ESCAPING`
`int` | `DOCTYPE_PUBLIC`
`int` | `DOCTYPE_SYSTEM`
`int` | `ELEMENTS`
`int` | `ENCODING`
`int` | `EXCLUDE_RESULT_PREFIXES`
`int` | `EXSLT_FUNC_FUNCTION`
`int` | `EXSLT_FUNC_RESULT`
`int` | `EXTENSION_ELEMENT_PREFIXES`
`int` | `FILE`
`int` | `FORMAT`
`int` | `FROM`
`int` | `GROUP_BY`
`int` | `GROUPING_SEPARATOR`
`int` | `GROUPING_SIZE`
`int` | `HANDLER`
`int` | `HREF`
`int` | `ID`
`int` | `IMPLEMENTS_PREFIX`
`int` | `INDENT`
`int` | `INFINITY`
`int` | `LANG`
`int` | `LANGUAGE`
`int` | `LETTER_VALUE`
`int` | `LEVEL`
`int` | `MATCH`
`int` | `MEDIA_TYPE`
`int` | `METHOD`
`int` | `MINUS_SIGN`
`int` | `MODE`
`int` | `NAME`
`int` | `NAMESPACE`
`int` | `NAN`
`int` | `OMIT_XML_DECLARATION`
`int` | `ORDER`
`int` | `PATTERN_SEPARATOR`
`int` | `PER_MILLE`
`int` | `PERCENT`
`NamePool` | `pool`
`int` | `PRIORITY`
`int` | `RESULT_PREFIX`
`int` | `SAXON_ALLOW_AVT`
`int` | `SAXON_ASSIGN`
`int` | `SAXON_ASSIGNABLE`
`int` | `SAXON_CHARACTER_REPRESENTATION`
`int` | `SAXON_DISABLE_OUTPUT_ESCAPING`
`int` | `SAXON_DOCTYPE`
`int` | `SAXON_ENTITY_REF`
`int` | `SAXON_FUNCTION`
`int` | `SAXON_GROUP`
`int` | `SAXON_HANDLER`
`int` | `SAXON_INDENT_SPACES`
`int` | `SAXON_ITEM`
`int` | `SAXON_NEXT_IN_CHAIN`
`int` | `SAXON_OMIT_META_TAG`
`int` | `SAXON_OUTPUT`
`int` | `SAXON_PREVIEW`
`int` | `SAXON_REQUIRE_WELL_FORMED`
`int` | `SAXON_RETURN`
`int` | `SAXON_SCRIPT`
`int` | `SAXON_WHILE`
`int` | `SELECT`
`int` | `SRC`
`int` | `STANDALONE`
`int` | `STYLESHEET_PREFIX`
`int` | `TERMINATE`
`int` | `TEST`
`int` | `USE`
`int` | `USE_ATTRIBUTE_SETS`
`int` | `USER_DATA`
`int` | `VALUE`
`int` | `VERSION`
`int` | `XML_LANG`
`int` | `XML_SPACE` Well-known names used in XSLT processing
`int` | `XSL_APPLY_IMPORTS`
`int` | `XSL_APPLY_TEMPLATES`
`int` | `XSL_ATTRIBUTE`
`int` | `XSL_ATTRIBUTE_SET`
`int` | `XSL_CALL_TEMPLATE`
`int` | `XSL_CHOOSE`
`int` | `XSL_COMMENT`
`int` | `XSL_COPY`
`int` | `XSL_COPY_OF`
`int` | `XSL_DECIMAL_FORMAT`
`int` | `XSL_DOCUMENT`
`int` | `XSL_ELEMENT`
`int` | `XSL_EXCLUDE_RESULT_PREFIXES`
`int` | `XSL_EXTENSION_ELEMENT_PREFIXES`
`int` | `XSL_FALLBACK`
`int` | `XSL_FOR_EACH`
`int` | `XSL_IF`
`int` | `XSL_IMPORT`
`int` | `XSL_INCLUDE`
`int` | `XSL_KEY`
`int` | `XSL_MESSAGE`
`int` | `XSL_NAMESPACE_ALIAS`
`int` | `XSL_NUMBER`
`int` | `XSL_OTHERWISE`
`int` | `XSL_OUTPUT`
`int` | `XSL_PARAM`
`int` | `XSL_PRESERVE_SPACE`
`int` | `XSL_PROCESSING_INSTRUCTION`
`int` | `XSL_SCRIPT`
`int` | `XSL_SORT`
`int` | `XSL_STRIP_SPACE`
`int` | `XSL_STYLESHEET`
`int` | `XSL_TEMPLATE`
`int` | `XSL_TEXT`
`int` | `XSL_TRANSFORM`
`int` | `XSL_USE_ATTRIBUTE_SETS`
`int` | `XSL_VALUE_OF`
`int` | `XSL_VARIABLE`
`int` | `XSL_VERSION`
`int` | `XSL_WHEN`
`int` | `XSL_WITH_PARAM`
`int` | `ZERO_DIGIT`

Constructor Summary
`StandardNames(NamePool namePool)`

Method Summary
`void` | `allocateNames()`
`static void` | `main(java.lang.String[] args)` Utility routine to generate Java constants for the standard names used in the stylesheet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pool

    public NamePool pool

### XML_SPACE

    public int XML_SPACE

  Well-known names used in XSLT processing

### XML_LANG

    public int XML_LANG

### XSL_APPLY_IMPORTS

    public int XSL_APPLY_IMPORTS

### XSL_APPLY_TEMPLATES

    public int XSL_APPLY_TEMPLATES

### XSL_ATTRIBUTE

    public int XSL_ATTRIBUTE

### XSL_ATTRIBUTE_SET

    public int XSL_ATTRIBUTE_SET

### XSL_CALL_TEMPLATE

    public int XSL_CALL_TEMPLATE

### XSL_CHOOSE

    public int XSL_CHOOSE

### XSL_COMMENT

    public int XSL_COMMENT

### XSL_COPY

    public int XSL_COPY

### XSL_COPY_OF

    public int XSL_COPY_OF

### XSL_DECIMAL_FORMAT

    public int XSL_DECIMAL_FORMAT

### XSL_DOCUMENT

    public int XSL_DOCUMENT

### XSL_ELEMENT

    public int XSL_ELEMENT

### XSL_FALLBACK

    public int XSL_FALLBACK

### XSL_FOR_EACH

    public int XSL_FOR_EACH

### XSL_IF

    public int XSL_IF

### XSL_IMPORT

    public int XSL_IMPORT

### XSL_INCLUDE

    public int XSL_INCLUDE

### XSL_KEY

    public int XSL_KEY

### XSL_MESSAGE

    public int XSL_MESSAGE

### XSL_NUMBER

    public int XSL_NUMBER

### XSL_NAMESPACE_ALIAS

    public int XSL_NAMESPACE_ALIAS

### XSL_OTHERWISE

    public int XSL_OTHERWISE

### XSL_OUTPUT

    public int XSL_OUTPUT

### XSL_PARAM

    public int XSL_PARAM

### XSL_PRESERVE_SPACE

    public int XSL_PRESERVE_SPACE

### XSL_PROCESSING_INSTRUCTION

    public int XSL_PROCESSING_INSTRUCTION

### XSL_SCRIPT

    public int XSL_SCRIPT

### XSL_SORT

    public int XSL_SORT

### XSL_STRIP_SPACE

    public int XSL_STRIP_SPACE

### XSL_STYLESHEET

    public int XSL_STYLESHEET

### XSL_TEMPLATE

    public int XSL_TEMPLATE

### XSL_TEXT

    public int XSL_TEXT

### XSL_TRANSFORM

    public int XSL_TRANSFORM

### XSL_VALUE_OF

    public int XSL_VALUE_OF

### XSL_VARIABLE

    public int XSL_VARIABLE

### XSL_WITH_PARAM

    public int XSL_WITH_PARAM

### XSL_WHEN

    public int XSL_WHEN

### SAXON_ASSIGN

    public int SAXON_ASSIGN

### SAXON_DOCTYPE

    public int SAXON_DOCTYPE

### SAXON_ENTITY_REF

    public int SAXON_ENTITY_REF

### SAXON_FUNCTION

    public int SAXON_FUNCTION

### SAXON_GROUP

    public int SAXON_GROUP

### SAXON_HANDLER

    public int SAXON_HANDLER

### SAXON_ITEM

    public int SAXON_ITEM

### SAXON_OUTPUT

    public int SAXON_OUTPUT

### SAXON_PREVIEW

    public int SAXON_PREVIEW

### SAXON_SCRIPT

    public int SAXON_SCRIPT

### SAXON_RETURN

    public int SAXON_RETURN

### SAXON_WHILE

    public int SAXON_WHILE

### EXSLT_FUNC_FUNCTION

    public int EXSLT_FUNC_FUNCTION

### EXSLT_FUNC_RESULT

    public int EXSLT_FUNC_RESULT

### ARCHIVE

    public int ARCHIVE

### CASE_ORDER

    public int CASE_ORDER

### CDATA_SECTION_ELEMENTS

    public int CDATA_SECTION_ELEMENTS

### COUNT

    public int COUNT

### DATA_TYPE

    public int DATA_TYPE

### DECIMAL_SEPARATOR

    public int DECIMAL_SEPARATOR

### DIGIT

    public int DIGIT

### DISABLE_OUTPUT_ESCAPING

    public int DISABLE_OUTPUT_ESCAPING

### DOCTYPE_PUBLIC

    public int DOCTYPE_PUBLIC

### DOCTYPE_SYSTEM

    public int DOCTYPE_SYSTEM

### ELEMENTS

    public int ELEMENTS

### ENCODING

    public int ENCODING

### EXCLUDE_RESULT_PREFIXES

    public int EXCLUDE_RESULT_PREFIXES

### EXTENSION_ELEMENT_PREFIXES

    public int EXTENSION_ELEMENT_PREFIXES

### FILE

    public int FILE

### FORMAT

    public int FORMAT

### FROM

    public int FROM

### GROUP_BY

    public int GROUP_BY

### GROUPING_SEPARATOR

    public int GROUPING_SEPARATOR

### GROUPING_SIZE

    public int GROUPING_SIZE

### HANDLER

    public int HANDLER

### HREF

    public int HREF

### ID

    public int ID

### IMPLEMENTS_PREFIX

    public int IMPLEMENTS_PREFIX

### INDENT

    public int INDENT

### INFINITY

    public int INFINITY

### LANG

    public int LANG

### LANGUAGE

    public int LANGUAGE

### LETTER_VALUE

    public int LETTER_VALUE

### LEVEL

    public int LEVEL

### MATCH

    public int MATCH

### MEDIA_TYPE

    public int MEDIA_TYPE

### METHOD

    public int METHOD

### MINUS_SIGN

    public int MINUS_SIGN

### MODE

    public int MODE

### NAME

    public int NAME

### NAMESPACE

    public int NAMESPACE

### NAN

    public int NAN

### OMIT_XML_DECLARATION

    public int OMIT_XML_DECLARATION

### ORDER

    public int ORDER

### RESULT_PREFIX

    public int RESULT_PREFIX

### PATTERN_SEPARATOR

    public int PATTERN_SEPARATOR

### PERCENT

    public int PERCENT

### PER_MILLE

    public int PER_MILLE

### PRIORITY

    public int PRIORITY

### SELECT

    public int SELECT

### SRC

    public int SRC

### STANDALONE

    public int STANDALONE

### STYLESHEET_PREFIX

    public int STYLESHEET_PREFIX

### TERMINATE

    public int TERMINATE

### TEST

    public int TEST

### USE

    public int USE

### USE_ATTRIBUTE_SETS

    public int USE_ATTRIBUTE_SETS

### USER_DATA

    public int USER_DATA

### VALUE

    public int VALUE

### VERSION

    public int VERSION

### ZERO_DIGIT

    public int ZERO_DIGIT

### SAXON_ALLOW_AVT

    public int SAXON_ALLOW_AVT

### SAXON_ASSIGNABLE

    public int SAXON_ASSIGNABLE

### SAXON_DISABLE_OUTPUT_ESCAPING

    public int SAXON_DISABLE_OUTPUT_ESCAPING

### SAXON_OMIT_META_TAG

    public int SAXON_OMIT_META_TAG

### SAXON_CHARACTER_REPRESENTATION

    public int SAXON_CHARACTER_REPRESENTATION

### SAXON_INDENT_SPACES

    public int SAXON_INDENT_SPACES

### SAXON_NEXT_IN_CHAIN

    public int SAXON_NEXT_IN_CHAIN

### SAXON_REQUIRE_WELL_FORMED

    public int SAXON_REQUIRE_WELL_FORMED

### XSL_EXCLUDE_RESULT_PREFIXES

    public int XSL_EXCLUDE_RESULT_PREFIXES

### XSL_EXTENSION_ELEMENT_PREFIXES

    public int XSL_EXTENSION_ELEMENT_PREFIXES

### XSL_USE_ATTRIBUTE_SETS

    public int XSL_USE_ATTRIBUTE_SETS

### XSL_VERSION

    public int XSL_VERSION

Constructor Detail

### StandardNames

    public StandardNames(NamePool namePool)

Method Detail

### allocateNames

    public void allocateNames()

### main

    public static void main(java.lang.String[] args)

  Utility routine to generate Java constants for the standard names used in the stylesheet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD